package ch.pizzalemon.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class CouponModel {

    @Expose
    @SerializedName("date_added")
    private String addedDate;

    private String code;
    private String storeName;
    private String status;

    public CouponType getCouponType(){
        return CouponType.UNKNOWN;
    }
    public boolean isActive(){
        return false;
    }

    public String getAddedDate() {
        if(addedDate == null){
            addedDate = "1970-01-01";
        }
        return addedDate;
    }

    public String getCode() {
        if(code == null){
            code = "";
        }
        return code;
    }

    public String getStoreName() {
        if(storeName == null){
            storeName = "";
        }
        return storeName;
    }

    public String getStatus() {
        if(status == null){
            status = "";
        }
        return status;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }
}
